Tron Solidity Methods

📘

See the Tron RPC API connection guide.

GET

MethodNotesCompute Unit Value
GET /walletsolidity/getassetissuelistReturns the list of TRC-10 assets from solidified state.20
GET /walletsolidity/getnowblockReturns the latest solidified block.50
GET /walletsolidity/listexchangesReturns exchanges from solidified state.20
GET /walletsolidity/listwitnessesReturns Super Representatives from solidified state.20

Accounts and assets

MethodNotesCompute Unit Value
POST /walletsolidity/getaccountReturns account information from solidified state.20
POST /walletsolidity/getassetissuebyidReturns a TRC-10 asset by ID from solidified state.10
POST /walletsolidity/getassetissuebynameReturns a TRC-10 asset by name from solidified state.10
POST /walletsolidity/getassetissuelistbynameReturns TRC-10 assets matching a name from solidified state.20
POST /walletsolidity/getpaginatedassetissuelistReturns a paginated list of TRC-10 assets from solidified state.10

Blocks and transactions

MethodNotesCompute Unit Value
POST /walletsolidity/getblockReturns a solidified block using the supplied selector.50
POST /walletsolidity/getblockbyidReturns a solidified block by block ID.50
POST /walletsolidity/getblockbylatestnumReturns the requested number of latest solidified blocks.50
POST /walletsolidity/getblockbylimitnextReturns solidified blocks in a requested numeric range.50
POST /walletsolidity/getblockbynumReturns a solidified block by block number.50
POST /walletsolidity/gettransactionbyidReturns a transaction by ID from solidified state.20
POST /walletsolidity/gettransactioncountbyblocknumReturns the transaction count for a solidified block number.10
POST /walletsolidity/gettransactioninfobyblocknumReturns transaction execution information for a solidified block number.10
POST /walletsolidity/gettransactioninfobyidReturns execution information for a transaction ID from solidified state.20

Delegated resources and brokerage

MethodNotesCompute Unit Value
POST /walletsolidity/getBrokerageReturns a Super Representative's brokerage ratio from solidified state.10
POST /walletsolidity/getavailableunfreezecountReturns the available unfreeze-operation count from solidified state.10
POST /walletsolidity/getcandelegatedmaxsizeReturns the maximum resource amount an account can delegate.10
POST /walletsolidity/getcanwithdrawunfreezeamountReturns the amount available to withdraw after unfreezing.10
POST /walletsolidity/getdelegatedresourceReturns delegated resources from solidified state.10
POST /walletsolidity/getdelegatedresourceaccountindexReturns delegation index information from solidified state.5
POST /walletsolidity/getdelegatedresourceaccountindexv2Returns Stake 2.0 delegation index information from solidified state.10

Exchange and node information

MethodNotesCompute Unit Value
POST /walletsolidity/getexchangebyidReturns an exchange by ID from solidified state.10
POST /walletsolidity/getnodeinfoReturns current node information.5
POST /walletsolidity/getburntrxReturns the total amount of burned TRX from solidified state.5

Energy and rewards

MethodNotesCompute Unit Value
POST /walletsolidity/estimateenergyEstimates Energy required for a contract call against solidified state.10
POST /walletsolidity/getRewardReturns an account's unclaimed reward from solidified state.10

Shielded TRC20

MethodNotesCompute Unit Value
POST /walletsolidity/isshieldedtrc20contractnotespentChecks whether a shielded TRC20 note is spent in solidified state.5
POST /walletsolidity/scanshieldedtrc20notesbyivkScans shielded TRC20 notes with an incoming viewing key.10
POST /walletsolidity/scanshieldedtrc20notesbyovkScans shielded TRC20 notes with an outgoing viewing key.10

Contract trigger

MethodNotesCompute Unit Value
POST /walletsolidity/triggerconstantcontractExecutes a constant contract call against solidified state.50